##
##  stdver.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_stdver      0.9.7
%define       V_stdver_snap 20230829

#   package information
Name:         stdver
Summary:      Standard Versioning CLI
URL:          https://github.com/softeng-academy/stdver
Vendor:       SEA Software Engineering Academy gGmbH
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Development
License:      MIT
Version:      %{V_stdver}
Release:      20230829

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/stdver/stdver-%{V_stdver}-%{V_stdver_snap}.tar.gz
Source1:      stdver.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
   This is a small Command-Line Interface (CLI) for Standard Versioning.

%track
    prog stdver = {
        version   = %{V_stdver}-%{V_stdver_snap}
        url       = http://download.openpkg.org/components/versioned/stdver/
        regex     = stdver-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze -n "default:safe"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/stdver/node_modules
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE stdver.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/stdver
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/stdver/node_modules/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

